{

    "AbilityName" : "FierySerpent_Teleport_FadeIn",

    "AbilityStacking":"Unique",



    "OnAbilityStart":

    [

        {

            "$type" : "MoleMole.ApplyModifier",

            "ModifierName" : "VisibleModifier",

            "Target" : "Self"

        }

    ],



    "Modifiers" : 

    {

        "VisibleModifier" : 

        {

            "ModifierStacking" : "MultipleRefresh",

            "Duration" : 1.0,

            "IgnoreTimeScale" : false,



            //执行Dither

            "OnAdded" :

            [

                {

                    "$type" : "MoleMole.PopEntityVisibleWithTagAction",

                    "Tag" : "Death"

                }

            ],



            //延迟0.15秒后开启自身Mesh

            "DelayHandlers" :

            [

                {

                    "DelayTime" : 0.1,

                    "TimeUpActions":

                    [

                        // {

                        //     "$type": "MoleMole.SetVisibleAction",

                        //     "Visible": true,

                        //     "Self" : "Target"

                        // }

                        {

                            "$type": "MoleMole.DitherFadeAction",

                            "DitherFadeType": "FadeIn",

                            "DitherFadeKey": "Monster_FierySerpent_Dither_Alpha_FadeIn",

                            "Duration": 0.15,

                            "Target" : "Self"

                        }

                    ]

                }

            ]

        }

    }

}